Class | YARD::Parser::Ruby::Legacy::Statement
In: | lib/yard/parser/ruby/legacy/statement.rb
Parent: | Object

### Methods

first_line inspect line line_range new show source to_s

### Attributes

block | [R] |
comments | [R] |
comments_hash_flag | [RW] |
comments_range | [RW] |
group | [RW] |
tokens | [R] |

### Public Class methods

new(tokens, block = nil, comments = nil)

### Public Instance methods

first_line()
inspect()
line()

@return [Fixnum] the first line of Ruby source

line_range()

@return [Range<Fixnum>] the first to last lines of Ruby source @since 0.5.4

show()
source(include_block = true)

Alias for to_s

to_s(include_block = true)

[Validate]